# Uses of Class
com.sun.jdi.connect.spi.TransportService.ListenKey

Packages that use TransportService.ListenKey
Package
Description
com.sun.jdi.connect.spi
This package comprises the interfaces and classes used to develop new `TransportService` implementations.

## Uses of TransportService.ListenKey in com.sun.jdi.connect.spi

Methods in com.sun.jdi.connect.spi that return TransportService.ListenKey
Modifier and Type
Method
Description
`abstract TransportService.ListenKey`
TransportService.`startListening()`
Listens on an address chosen by the transport service.
`abstract TransportService.ListenKey`
TransportService.`startListening(String address)`
Listens on the specified address for inbound connections.
Methods in com.sun.jdi.connect.spi with parameters of type TransportService.ListenKey
Modifier and Type
Method
Description
`abstract Connection`
TransportService.`accept(TransportService.ListenKey listenKey, long acceptTimeout, long handshakeTimeout)`
Accept a connection from a target VM.
`abstract void`
TransportService.`stopListening(TransportService.ListenKey listenKey)`
Stop listening for inbound connections.